<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.0.9
  @date  21/05/10, 08:32
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8

  Flux valide W3c RSS 2.0
*/
$list_c=array();
$customers_query_raw =tep_db_query( "select ci.*, c.customers_id, c.customers_lastname, c.customers_firstname, c.customers_email_address,c.customers_group_ra, a.entry_country_id, cg.customers_group_name  from " . TABLE_CUSTOMERS_INFO . " ci, " . TABLE_CUSTOMERS . " c
left join " . TABLE_ADDRESS_BOOK . " a on c.customers_id = a.customers_id and c.customers_default_address_id = a.address_book_id
left join " . TABLE_CUSTOMERS_GROUPS . " cg on c.customers_group_id = cg.customers_group_id
where  c.customers_id = ci.customers_info_id
order by  customers_info_date_account_created   DESC");

while ($customers = tep_db_fetch_array($customers_query_raw)) $list_c[]=$customers;


print "    <description>".constant('DESC_'.strtoupper($_GET['box']))."</description>\n";
print "    <link>".HTTP_SERVER.DIR_WS_CATALOG."</link>\n";

foreach($list_c as $p) {
  print '    <item>' . "\n";
  print '      <title>' . htmlspecialchars($p['customers_lastname'].' '.$p['customers_firstname']).'</title>'. "\n";
  print '      <description>' . htmlspecialchars('  Inscrit le ' .  tep_date_short($p['customers_info_date_account_created'] )  . "\n" .
			      'Email '. $p['customers_email_address']  . "\n" .
			      'Groupe  '. $p['customers_group_name']  ). '</description>' . "\n";
  print '      <link>' . tep_href_link(FILENAME_CUSTOMERS, 'cID=' . $p['customers_id'], 'NONSSL') . '</link>' . "\n";
  print '    </item>' . "\n";
}
?>